### A free/open-source library for quantitative finance

Classes
ql/pricingengines/asian/analytic_discr_geom_av_strike.hpp File Reference

Analytic engine for discrete geometric average-strike Asian option. More...

`#include <ql/instruments/asianoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for analytic_discr_geom_av_strike.hpp:

## Classes

class | AnalyticDiscreteGeometricAverageStrikeAsianEngine
| Pricing engine for European discrete geometric average-strike Asian option. More...

## Detailed Description

Analytic engine for discrete geometric average-strike Asian option.